# Uses of Interface
org.eclipse.draw2d.IClippingStrategy

Packages that use IClippingStrategy
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of IClippingStrategy in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement IClippingStrategy
Modifier and Type
Class
Description
`class`
`ViewportAwareConnectionLayerClippingStrategy`
Clipping strategy for connection layer, which takes into account nested view ports and truncates those parts of connections which reach outside and are thus not visible.
Methods in org.eclipse.draw2d that return IClippingStrategy
Modifier and Type
Method
Description
`IClippingStrategy`
Figure.`getClippingStrategy()`
Returns the IClippingStrategy used by this figure to clip its children
`IClippingStrategy`
IFigure.`getClippingStrategy()`
Returns the IClippingStrategy used by this figure to clip its children
Methods in org.eclipse.draw2d with parameters of type IClippingStrategy
Modifier and Type
Method
Description
`void`
Figure.`setClippingStrategy(IClippingStrategy clippingStrategy)`
Registers a clipping strategy to specify how clipping is performed for child figures.
`void`
IFigure.`setClippingStrategy(IClippingStrategy clippingStrategy)`
Registers a clipping strategy to specify how clipping is performed for child figures.